Results 1 to 9 of 9

Thread: Problems with SAMBA GUI tool in 11.10

  1. #1
    Join Date
    Oct 2011
    Beans
    3

    Unable to launch SAMBA GUI tool in 11.10 (fresh install)

    I am working with a fresh install of 11.10, installed samba from the software center, and I cannot get the GUI tool to work. That doesn't mean I'm dead in the water (I can fumble through the other methods to get there) but I have seen references in multiple places to this issue and I was curious if this was a real problem or a me-problem.

    All of the packages appear to be installed/updated properly. Launching from Dash, it prompts for authenticated access and then nothing happens. Launching from a command line (gksu system-config-samba) it *was* giving this error 4 times:
    (gksu:8137): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
    ...and then nothing. I found a reference to that error, and it went away with a
    sudo apt-get install gtk2-engines-pixbuf
    So now when I try to launch from a command line, no errors now... just nothing. For reference:


    dpkg -l | grep samba
    ii samba 2:3.5.11~dfsg-1ubuntu2 SMB/CIFS file, print, and login server for Unix
    ii samba-common 2:3.5.11~dfsg-1ubuntu2 common files used by both the Samba server and client
    ii samba-common-bin 2:3.5.11~dfsg-1ubuntu2 common files used by both the Samba server and client
    ii system-config-samba 1.2.63-0ubuntu4 GUI for managing samba shares and users



    dpkg -l | grep smb
    ii libsmbclient 2:3.5.11~dfsg-1ubuntu2 shared library for communication with SMB/CIFS servers
    ii python-smbc 1.0.10-0ubuntu2 Python bindings for Samba clients (libsmbclient)
    ii smbclient 2:3.5.11~dfsg-1ubuntu2 command-line SMB/CIFS clients for Unix


    Any ideas how to further troubleshoot system-config-samba - is there a log file somewhere?


    Regards.
    Last edited by NickB.; November 3rd, 2011 at 10:37 PM.

  2. #2
    Join Date
    Oct 2011
    Beans
    3

    Re: Problems with SAMBA GUI tool in 11.10

    I gave it a couple days and a couple of sudo apt-get upgrade -f (in case something changed somewhere). but now when I try the gksu launch option it returns this (is this a trace?):

    gksu system-config-samba
    Traceback (most recent call last):
    File "/usr/sbin/system-config-samba", line 44, in <module>
    import mainWindow
    File "/usr/share/system-config-samba/mainWindow.py", line 30, in <module>
    import gtk.glade
    ImportError: No module named glade

    I installed glade and the error went away... but no change to the Samba GUI - gksu just returns to the prompt and launching from dash prompts for credentials and then goes away.

    Is anyone else having this problem with 11.10?

  3. #3
    Join Date
    Oct 2010
    Beans
    5

    Re: Problems with SAMBA GUI tool in 11.10

    Yes, I'm having the exact same problem. Fresh install of 11.10 on a new drive, followed by an update. Same diagnostics from gksu system-config-samba

    NB: https://bitbucket.org/janto/pynetkey...heme-engine-in

    and

    https://bitbucket.org/janto/pynetkey...u-1110-support
    Last edited by Leap Frog; October 30th, 2011 at 10:19 PM.

  4. #4
    Join Date
    Oct 2010
    Beans
    5

    Re: Problems with SAMBA GUI tool in 11.10

    FYI, adding pyNeighborhood to the slate of installed software is a work-around.

  5. #5
    Join Date
    Jul 2006
    Beans
    16

    Re: Problems with SAMBA GUI tool in 11.10

    I've hit this problem also. Can you tell me how to "FYI, adding pyNeighborhood to the slate of installed software is a work-around."?

    Cheers. MdB

  6. #6
    Join Date
    Jul 2006
    Beans
    16

    Re: Problems with SAMBA GUI tool in 11.10

    On another thread I found the following which fixed it for me:

    sudo apt-get install gtk2-engines-pixbuf
    sudo apt-get install glade-gtk2

  7. #7
    Join Date
    Oct 2011
    Beans
    3

    Re: Problems with SAMBA GUI tool in 11.10

    Quote Originally Posted by Leap Frog View Post
    FYI, adding pyNeighborhood to the slate of installed software is a work-around.
    That fixed it for me - thanks!

    for reference:

    sudo apt-get install pyNeighborhood

  8. #8
    Join Date
    Feb 2008
    Beans
    4,279
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Problems with SAMBA GUI tool in 11.10

    But what did you want to do? I frequently try different versions/distros, I always set up and use shared folders, but I've never needed to use the Samba GUI tool.

  9. #9
    Join Date
    Sep 2011
    Beans
    2

    Re: Problems with SAMBA GUI tool in 11.10

    Quote Originally Posted by NickB. View Post
    That fixed it for me - thanks!

    for reference:

    sudo apt-get install pyNeighborhood


    That worked for me too! (same problem)

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •